ServerEvents.recipes((event) => {
    const gtr = event.recipes.gtceu
    const gte = event.recipes.gtecore
    gtr.assembler('gtecore:not_hard_box')
    .EUt(GTValues.VA[GTValues.LV])
    .itemInputs('8x gtecore:easy_box',
        '32x gtceu:solid_machine_casing',
        '16x gtceu:lv_robot_arm',
        '8x #gtceu:circuits/mv'
    )
    .duration(20 * 30)
    .itemOutputs('1x gtecore:not_hard_box')
    .circuit(12)
    gtr.assembler('gtecore:not_hard_fluid_drilling_rig')
    .EUt(GTValues.VA[GTValues.LV])
    .itemInputs('8x gtecore:easy_fluid_drilling_rig',
        '16x gtceu:solid_machine_casing',
        '8x #gtceu:circuits/mv'
    )
    .duration(20 * 30)
    .itemOutputs('1x gtecore:not_hard_fluid_drilling_rig')
    .circuit(16)
    gtr.assembler('gtecore:large_general_generator')
    .EUt(GTValues.VA[GTValues.LV])
    .itemInputs('1x gtceu:lv_machine_hull',
        '2x gtceu:lv_field_generator',
        '2x gtceu:lv_sensor',
        '4x #gtceu:circuits/mv',
        '8x gtceu:lv_robot_arm'
    ).duration(20 * 30)
    .itemOutputs('1x gtecore:large_general_generator')
    .circuit(8)
    gtr.assembler('gtecore:wiremill_factory')
    .itemInputs("1x gtceu:hv_machine_hull",
        "1x gtceu:hv_assembler",
        "8x gtceu:hv_wiremill",
        "8x #gtceu:circuits/iv",
        "2x gtceu:hv_robot_arm"
    )
    .circuit(8)
    .itemOutputs('1x gtecore:wiremill_factory')
    .duration(1200)
    .EUt(GTValues.VA[GTValues.HV])
    gte.integrated_petrochemical_plant('gtecore:oil_to_many')
    .inputFluids('gtceu:oil 160000')
    .duration(20 * 5)
    .EUt(GTValues.VA[GTValues.LV])
    .outputFluids('gtceu:benzene 16000',
        'gtceu:methane 16000',
        'gtceu:propane 16000',
        'gtceu:propene 16000',
        'gtceu:ethane 16000',
        'gtceu:butene 16000',
        'gtceu:butadiene 16000',
        'gtceu:heavy_fuel 16000',
        'gtceu:light_fuel 16000',
        'gtceu:helium 16000',
        'gtceu:toluene 16000'
    )
    .circuit(8)
     gte.starblade_etching('gtecore:silicon_boule_to_chips')
    .itemInputs('4x gtceu:silicon_boule')
    .EUt(GTValues.VA[GTValues.LV])
    .duration(20 * 30)
    .itemOutputs('64x gtceu:ram_chip',
        '64x gtceu:simple_soc',
        '64x gtceu:lpic_chip',
        '64x gtceu:cpu_chip',
        '64x gtceu:ulpic_chip',
        '64x gtceu:ilc_chip'
    )
    .circuit(1)
    gte.starblade_etching('gtecore:phosphorus_boule_to_chips')
    .itemInputs('4x gtceu:phosphorus_boule')
    .EUt(GTValues.VA[GTValues.LV])
    .duration(20 * 30)
    .itemOutputs('64x gtceu:soc',
        '64x gtceu:nand_memory_chip',
        '64x gtceu:nor_memory_chip',
        '64x gtceu:mpic_chip',
        '64x gtceu:hpic_chip'
    )
    .circuit(2)
    gte.starblade_etching('gtecore:naquadah_boule_to_chips')
    .itemInputs('4x gtceu:naquadah_boule')
    .EUt(GTValues.VA[GTValues.LV])
    .duration(20 * 30)
    .itemOutputs(
        '64x gtceu:uhpic_chip',
        '64x gtceu:qbit_cpu_chip',
        '64x gtceu:advanced_soc',
        '64x gtceu:nano_cpu_chip'
    )
    .circuit(3)
    gte.starblade_etching('gtecore:neutronium_boule_to_chips')
    .itemInputs('4x gtceu:neutronium_boule')
    .EUt(GTValues.VA[GTValues.LV])
    .duration(20 * 30)
    .itemOutputs(
       '4096x gtceu:highly_advanced_soc'
    )
    .circuit(4)
    gtr.assembly_line('gtecore:starblade_etching_machine')
    .itemInputs('64x gtceu:large_engraving_laser',
        '16x #gtceu:circuits/uhv',
        '64x gtceu:zpm_electric_motor',
        '16x gtceu:zpm_robot_arm',
        '16x gtceu:double_europium_plate',
        '64x gtceu:uhpic_chip',
        '64x gtceu:uranium_rhodium_dinaquadide_single_wire'
    ).inputFluids('gtceu:molten_hssg 64000',
        'gtceu:sterilized_growth_medium 16000',
        'gtceu:molten_hastelloy_c_276 16000'
    )
    .itemOutputs('1x gtecore:starblade_etching_machine')
    .EUt(GTValues.VA[GTValues.ZPM])
    .duration(20 * 60)
    .stationResearch((b)=>b
                        .researchStack(Item.of('gtceu:large_engraving_laser'))
                        .CWUt(32)
                        .EUt(GTValues.VA[GTValues.ZPM]))
    gte.crystal_center('gtceu:silicon_boule_in_crystal_center')
    .itemInputs('4x gtceu:silicon_dust')
    .EUt(GTValues.VA[GTValues.LV])
    .duration(20 * 5)
    .itemOutputs('16x gtceu:silicon_boule')
    gte.crystal_center('gtceu:phosphorus_boule_in_crystal_center')
    .itemInputs('4x gtceu:phosphorus_dust')
    .EUt(GTValues.VA[GTValues.LV])
    .duration(20 * 5)
    .itemOutputs('16x gtceu:phosphorus_boule')
    gte.crystal_center('gtceu:naquadah_boule_in_crystal_center')
    .itemInputs('4x gtceu:naquadah_ingot')
    .EUt(GTValues.VA[GTValues.LV])
    .duration(20 * 5)
    .itemOutputs('16x gtceu:naquadah_boule')
    gte.crystal_center('gtceu:neutronium_boule_in_crystal_center')
    .itemInputs('4x gtceu:neutronium_ingot')
    .EUt(GTValues.VA[GTValues.LV])
    .duration(20 * 5)
    .itemOutputs('16x gtceu:neutronium_boule')
    gtr.assembly_line('gtecore:crystal_center')
    .itemInputs('64x gtceu:circuit_factory',
        '16x #gtceu:circuits/uhv',
        '64x gtceu:zpm_electric_motor',
        '16x gtceu:zpm_robot_arm',
        '16x gtceu:double_europium_plate',
        '64x gtceu:uhpic_chip',
        '64x gtceu:uranium_rhodium_dinaquadide_single_wire'
    ).inputFluids('gtceu:molten_hssg 64000',
        'gtceu:sterilized_growth_medium 16000',
        'gtceu:molten_hastelloy_c_276 16000'
    )
    .itemOutputs('1x gtecore:crystal_center')
    .EUt(GTValues.VA[GTValues.ZPM])
    .duration(20 * 60)
    .stationResearch((b)=>b
                        .researchStack(Item.of('gtceu:circuit_factory'))
                        .CWUt(32)
                        .EUt(GTValues.VA[GTValues.ZPM]))
    gtr.assembly_line('gtecore:quantum_cable_assembler')
    .itemInputs('64x gtecore:wiremill_factory',
        '16x #gtceu:circuits/uhv',
        '64x gtceu:zpm_electric_motor',
        '16x gtceu:zpm_robot_arm',
        '16x gtceu:double_europium_plate',
        '64x gtceu:uhpic_chip',
        '64x gtceu:uranium_rhodium_dinaquadide_single_wire',
        '32x gtceu:zpm_field_generator'
    ).inputFluids('gtceu:molten_hssg 64000',
        'gtceu:overheated_bromine_sulfate_gas 32000'
    )
    .itemOutputs('1x gtecore:quantum_cable_assembler')
    .EUt(GTValues.VA[GTValues.ZPM])
    .duration(20 * 60)
    .stationResearch((b)=>b
                        .researchStack(Item.of('gtecore:wiremill_factory'))
                        .CWUt(32)
                        .EUt(GTValues.VA[GTValues.ZPM]))
})